<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
    <meta charset="UTF-8">
    <title>Report KPI Staff</title>
</head>
<body>
<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_report_kpi::sidebar_report_kpi" th:remove="tag">
        sidebar
    </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <i class="fa fa-circle text-secondary" ></i> Report KPI Staff
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="card shadow-sm border-0">
                        <div class="card-header p-4">
                            <div class="d-flex justify-content-between">
                                <span class="fw-bold text-secondary">List Result KPI</span>
                            </div>
                        </div>
                        <div class="card-body">
                            <form method="get">
                                <div class="row mb-3">

                                    <div class="col-md-6">
                                        <div class="form-group mb-2">
                                            <label>Bulan</label>
                                            <select name="bulan" class="form-select">
                                                <option value="">-- Pilih --</option>
                                                <option th:each="data, row:${listBulan}"
                                                        th:value="${data.getNomor()}"
                                                        th:selected="(${bulanSelected} == *{data})"
                                                        th:text="${data.getNama()}"></option>
                                            </select>
                                        </div>
                                        <div class="form-group mb-2">
                                            <label>Tahun</label>
                                            <select name="tahun" class="form-select">
                                                <option value="">-- Pilih --</option>
                                                <option th:each="data, row:${listTahun}"
                                                        th:value="${data.tahun}"
                                                        th:selected="(${tahunSelected} == *{data})"
                                                        th:text="${data.tahun}"></option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <button class="btn btn-primary mt-4">Proses</button>
                                    </div>
                                </div>
                            </form>

                            <div class="row mb-3">
                                <div class="col-md-12">
                                    <div class="table-responsive">
                                        <table class="table table-striped table-bordered table-hover table-sm">
                                            <thead>
                                            <tr>
                                                <th width="3%">No.</th>
                                                <th width="27%">NIP</th>
                                                <th width="40%">Name</th>
                                                <th width="5%">Grade</th>
                                                <!--                        <th width="5%">Score</th>-->
                                            </tr>
                                            </thead>
                                            <tbody>
<!--                                            <tr th:each="data, row:${listPenilaianKpi}">-->
<!--                                                <td th:text="${(row.index + 1)}"></td>-->
<!--                                                <td th:text="${data.positionKpi.kpi}"></td>-->
<!--                                                <td th:text="${data.positionKpi.indikator}"></td>-->
<!--                                                <td th:text="${data.grade}"></td>-->
<!--                                                &lt;!&ndash;                        <td th:text="${data.nilai}"></td>&ndash;&gt;-->
<!--                                            </tr>-->
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>